apiVersion: v1
kind: Pod
metadata:
  name: "{{ .Release.Name }}-selenium"
  labels:
    app: {{ .Release.Name }}-wikifunctions
  annotations:
    "helm.sh/hook": test
spec:
  volumes:
    - name: artifacts
      persistentVolumeClaim:
        claimName: {{ .Release.Name }}-wf-test-artifacts-pv-claim
  containers:
    - name: selenium
      image: docker-registry.wikimedia.org/releng/node16-test-browser:latest
      volumeMounts:
        - name: artifacts
          mountPath: /var/artifacts
      env:
      - name: MW_SERVER
        value: http://{{ .Values.mediawikiUrl }}
      - name: MW_SCRIPT_PATH
        value: /w
      - name: MEDIAWIKI_USER
        value: "{{ .Values.mediawiki.user }}"
      - name: MEDIAWIKI_PASSWORD
        value: "{{ .Values.mediawiki.password }}"
      - name: DISPLAY
        value: ":1"
      command:
      - bash
      - -c
      - |
          mkdir /var/artifacts/selenium
          git clone --depth 1 --recurse-submodules "https://gerrit.wikimedia.org/r/mediawiki/extensions/WikiLambda" WikiLambda
          cd WikiLambda
          if [[ -n "{{ .Values.wikilambdaRef }}" ]]; then
            git fetch https://gerrit.wikimedia.org/r/mediawiki/extensions/WikiLambda {{ .Values.wikilambdaRef}}
            git checkout FETCH_HEAD
          fi
          npm install
          Xvfb "$DISPLAY" -screen 0 1280x1024x24 &
          npm run selenium-daily
          exit_code=$?
          cp tests/selenium/log/* /var/artifacts/selenium
          exit $exit_code
  restartPolicy: Never
